/*********************************************************************
*               SEGGER MICROCONTROLLER SYSTEME GmbH                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2007  SEGGER Microcontroller Systeme GmbH         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS version: 3.40c                                         *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : LED.c         (for OKI M69Q6203 CPU and ML69Q6203 CPU Board)
Purpose : LED interface 
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "LED.h"

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/

/****** Addresses of sfrs and peripheral identifiers ****************/

#define __GPPOE  *(volatile unsigned int*)0xB7A00080
#define __GPPME  *(volatile unsigned int*)0xB7A00088

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       LED_Init()
*/

void LED_Init(void) {
  __GPPME = 0x00FF;            /* set GPIO for 7-Seg to output mode */
  __GPPOE = LED_START_PATTERN;       /* start pattern     0110_0011 */
}

/*********************************************************************
*
*       LED_On() switching routine
*/
void LED_On(unsigned char Pattern) {
  __GPPOE = Pattern;
}

/****** EOF *********************************************************/

