/*********************************************************************
*               SEGGER MICROCONTROLLER SYSTEME GmbH                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2007  SEGGER Microcontroller Systeme GmbH         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS version: 3.40c                                         *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : LED.h  for LED samples
Purpose : LED interface for OKI starterboards and OS LED demo
--------  END-OF-HEADER  ---------------------------------------------
*/

#ifndef LED_H                           /* avoid multiple inclusion */
#define LED_H

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/

/****** constants for led_on() **************************************/

#define LED_START_PATTERN       0x0063    /* light upper 4 segments */
#define LED_NORMAL_END_PATTERN  0x005C    /* light lower 4 segments */
#define LED_0   0x003F  /* light "0" */
#define LED_1   0x0006  /* light "1" */
#define LED_2   0x005B  /* light "2" */
#define LED_3   0x004F  /* light "3" */
#define LED_4   0x0066  /* light "4" */
#define LED_5   0x006D  /* light "5" */
#define LED_6   0x007D  /* light "6" */
#define LED_7   0x0027  /* light "7" */
#define LED_8   0x007F  /* light "8" */
#define LED_9   0x006F  /* light "9" */
#define LED_A   0x0077  /* light "A" */
#define LED_b   0x007C  /* light "b" */
#define LED_C   0x0039  /* light "C" */
#define LED_d   0x005E  /* light "d" */
#define LED_E   0x0079  /* light "E" */
#define LED_F   0x0071  /* light "F" */
#define LED_all 0x00FF  /* light all LEDs */
#define LED_off 0x0000  /* turn off all LEDs */

/*********************************************************************
*
*       Functions
*
**********************************************************************
*/

void LED_Init(void);
void LED_On(unsigned char Pattern);

/********************************************************************/

#endif                                  /* avoid multiple inclusion */

/****** EOF *********************************************************/

