;******************************************************************************
;
;    Copyright (C) 2005 Oki Electric Industry Co.,LTD.
;
;    System Name  :  ML69Q6203 CPU Board
;    Module Name  :  assembler common definitions
;    File   Name  :  define.s
;    Revision     :  01.00
;    Date         :  2005/03/06      First version
;
;******************************************************************************

; mode flag of PSR
Mode_USR        EQU     0x10    ; user mode
Mode_FIQ        EQU     0x11    ; FIQ mode
Mode_IRQ        EQU     0x12    ; IRQ mode
Mode_SVC        EQU     0x13    ; supervisor mode
Mode_ABT        EQU     0x17    ; abort mode
Mode_UND        EQU     0x1B    ; undefined mode
Mode_SYS        EQU     0x1F    ; system mode

; I,F,T flag of PSR
I_Bit           EQU     0x80
F_Bit           EQU     0x40
T_Bit           EQU     0x20

; SWI number
SWI_IRQ_EN      EQU     0x00    ; SWI number of irq_en
SWI_IRQ_DIS     EQU     0x01    ; SWI number of irq_dis

sp_FIQ          RN      sp      ; r13 stack pointer for FIQ
lr_FIQ          RN      lr      ; r14 link register for FIQ

; definition for memory
ITCMTop         EQU     0x10000 ; 64KByte

; definition for IRQ
IRQSIZE         EQU     64      ; number of IRQ interrupt factor.

; registers
IRQ_BASE        EQU     0x78000000; base address of registers about IRQ.
BIC_BASE        EQU     0x78100000; address of BIC base
DRAMC_BASE      EQU     0x78180000; address of DRAMC base

;FIQ register definition
FIQ             EQU     0x78000008    ; FIQ register
FIQRAW          EQU     0x7800000C    ; FIQRAW register
FIQEN           EQU     0x78000010    ; FIQEN register

        END
